# Uses of Class
javafx.scene.effect.FloatMap

Packages that use FloatMap
Package
Description
javafx.scene.effect
Provides the set of classes for attaching graphical filter effects to JavaFX Scene Graph Nodes.

## Uses of FloatMap in javafx.scene.effect

Methods in javafx.scene.effect that return FloatMap
Modifier and Type
Method
Description
`final FloatMap`
DisplacementMap.`getMapData()`
Gets the value of the `mapData` property.
Methods in javafx.scene.effect that return types with arguments of type FloatMap
Modifier and Type
Method
Description
`final ObjectProperty<FloatMap>`
DisplacementMap.`mapDataProperty()`
The map data for this `Effect`.
Methods in javafx.scene.effect with parameters of type FloatMap
Modifier and Type
Method
Description
`final void`
DisplacementMap.`setMapData(FloatMap value)`
Sets the value of the `mapData` property.
Constructors in javafx.scene.effect with parameters of type FloatMap
Modifier
Constructor
Description
``
`DisplacementMap(FloatMap mapData)`
Creates a new instance of DisplacementMap with the specified mapData.
``
`DisplacementMap(FloatMap mapData, double offsetX, double offsetY, double scaleX, double scaleY)`
Creates a new instance of DisplacementMap with the specified mapData, offsetX, offsetY, scaleX, and scaleY.